$toolsPath = (Split-Path -parent $MyInvocation.MyCommand.Definition)
. "$toolsPath\extensions.ps1"

$packageName = 'roomarranger' # arbitrary name for the package, used in messages
$installerType = 'EXE'
$url = 'https://s3.eu-central-1.amazonaws.com/rooarr/rooarr8.exe'
$url64 = 'https://s3.eu-central-1.amazonaws.com/rooarr/rooarr8_64bit.exe'
$silentArgs = '/S'
$validExitCodes = @(0) 

Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" "$url64" -validExitCodes $validExitCodes

$arguments = (ParseParameters $env:chocolateyPackageParameters)

if($arguments.ContainsKey("licenseCode") -and $arguments.ContainsKey("licenseName")) {

    $licenseCode = $arguments["licenseCode"]
    $licenseName = $arguments["licenseName"]

    $registrationFile = Join-Path ([environment]::getfolderpath("mydocuments")) "Room Arranger\regbak.rrg"
    "[Options]" > $registrationFile
    "RegName=$licenseName" >> $registrationFile
    "RegNumber=$licenseCode" >> $registrationFile
}